---------------------------------------------------------------------------------------------------
-- func: givespells
-- desc: Adds all valid spells EXCEPT TRUSTS to the given target. If no target then to the current player.
-- courtesy of coreyms/topaz
---------------------------------------------------------------------------------------------------

cmdprops =
{
    permission = 5,
    parameters = "ssi"
}

function error(player, msg)
    player:PrintToPlayer(msg)
    player:PrintToPlayer("!givespells <player> <job> <level>")
end

function onTrigger(player, target, jobType, level)

	-- validate everything
	if(target == nil or jobType == nil or level == nil) then
		error(player, "Must contain all fields!")
		return
	end

	local targ
	local lvl
	local job

	targ = GetPlayerByName(target)
	if (targ == nil) then
		error(player, string.format("Player named '%s' not found!", target))
		return
	end

	lvl = tonumber(level)
	if(lvl == nil or lvl < 1 or lvl > 75) then
		error(player, "Level must be 1-75!")
		return
	end

	job = tonumber(jobType) or tpz.job[string.upper(jobType)]
	if (job <= 0 or job > 20) then
       player:PrintToPlayer(string.format("Invalid job '%s' given. Use short-name or id. e.g. WAR", jobType))
       return
	end

	if (job == 3 and lvl >= 1) then targ:addSpell(1, false, true) end
	if (job == 3 and lvl >= 3) then targ:addSpell(23, false, true) end
	if (job == 3 and lvl >= 4) then targ:addSpell(58, false, true) end
	if (job == 3 and lvl >= 5) then targ:addSpell(28, false, true) end
	if (job == 3 and lvl >= 5) then targ:addSpell(69, false, true) end
	if (job == 3 and lvl >= 6) then targ:addSpell(14, false, true) end
	if (job == 3 and lvl >= 7) then targ:addSpell(86, false, true) end
	if (job == 3 and lvl >= 7) then targ:addSpell(43, false, true) end
	if (job == 3 and lvl >= 7) then targ:addSpell(125, false, true) end
	if (job == 3 and lvl >= 9) then targ:addSpell(71, false, true) end
	if (job == 3 and lvl >= 9) then targ:addSpell(15, false, true) end
	if (job == 3 and lvl >= 10) then targ:addSpell(55, false, true) end
	if (job == 3 and lvl >= 10) then targ:addSpell(87, false, true) end
	if (job == 3 and lvl >= 11) then targ:addSpell(2, false, true) end
	if (job == 3 and lvl >= 12) then targ:addSpell(88, false, true) end
	if (job == 3 and lvl >= 13) then targ:addSpell(68, false, true) end
	if (job == 3 and lvl >= 13) then targ:addSpell(56, false, true) end
	if (job == 3 and lvl >= 14) then targ:addSpell(16, false, true) end
	if (job == 3 and lvl >= 15) then targ:addSpell(38, false, true) end
	if (job == 3 and lvl >= 15) then targ:addSpell(138, false, true) end
	if (job == 3 and lvl >= 15) then targ:addSpell(59, false, true) end
	if (job == 3 and lvl >= 16) then targ:addSpell(7, false, true) end
	if (job == 3 and lvl >= 17) then targ:addSpell(66, false, true) end
	if (job == 3 and lvl >= 17) then targ:addSpell(48, false, true) end
	if (job == 3 and lvl >= 17) then targ:addSpell(130, false, true) end
	if (job == 3 and lvl >= 18) then targ:addSpell(89, false, true) end
	if (job == 3 and lvl >= 18) then targ:addSpell(33, false, true) end
	if (job == 3 and lvl >= 19) then targ:addSpell(53, false, true) end
	if (job == 3 and lvl >= 19) then targ:addSpell(17, false, true) end
	if (job == 3 and lvl >= 20) then targ:addSpell(137, false, true) end
	if (job == 3 and lvl >= 21) then targ:addSpell(67, false, true) end
	if (job == 3 and lvl >= 21) then targ:addSpell(3, false, true) end
	if (job == 3 and lvl >= 21) then targ:addSpell(108, false, true) end
	if (job == 3 and lvl >= 23) then targ:addSpell(90, false, true) end
	if (job == 3 and lvl >= 25) then targ:addSpell(70, false, true) end
	if (job == 3 and lvl >= 25) then targ:addSpell(136, false, true) end
	if (job == 3 and lvl >= 25) then targ:addSpell(12, false, true) end
	if (job == 3 and lvl >= 25) then targ:addSpell(135, false, true) end
	if (job == 3 and lvl >= 27) then targ:addSpell(44, false, true) end
	if (job == 3 and lvl >= 27) then targ:addSpell(126, false, true) end
	if (job == 3 and lvl >= 28) then targ:addSpell(54, false, true) end
	if (job == 3 and lvl >= 29) then targ:addSpell(20, false, true) end
	if (job == 3 and lvl >= 30) then targ:addSpell(29, false, true) end
	if (job == 3 and lvl >= 31) then targ:addSpell(8, false, true) end
	if (job == 3 and lvl >= 32) then targ:addSpell(143, false, true) end
	if (job == 3 and lvl >= 34) then targ:addSpell(19, false, true) end
	if (job == 3 and lvl >= 36) then targ:addSpell(24, false, true) end
	if (job == 3 and lvl >= 36) then targ:addSpell(123, false, true) end
	if (job == 3 and lvl >= 36) then targ:addSpell(122, false, true) end
	if (job == 3 and lvl >= 36) then targ:addSpell(124, false, true) end
	if (job == 3 and lvl >= 37) then targ:addSpell(49, false, true) end
	if (job == 3 and lvl >= 37) then targ:addSpell(131, false, true) end
	if (job == 3 and lvl >= 38) then targ:addSpell(121, false, true) end
	if (job == 3 and lvl >= 38) then targ:addSpell(120, false, true) end
	if (job == 3 and lvl >= 39) then targ:addSpell(92, false, true) end
	if (job == 3 and lvl >= 39) then targ:addSpell(18, false, true) end
	if (job == 3 and lvl >= 40) then targ:addSpell(39, false, true) end
	if (job == 3 and lvl >= 40) then targ:addSpell(57, false, true) end
	if (job == 3 and lvl >= 40) then targ:addSpell(93, false, true) end
	if (job == 3 and lvl >= 41) then targ:addSpell(4, false, true) end
	if (job == 3 and lvl >= 42) then targ:addSpell(139, false, true) end
	if (job == 3 and lvl >= 43) then targ:addSpell(91, false, true) end
	if (job == 3 and lvl >= 44) then targ:addSpell(110, false, true) end
	if (job == 3 and lvl >= 45) then targ:addSpell(112, false, true) end
	if (job == 3 and lvl >= 47) then targ:addSpell(45, false, true) end
	if (job == 3 and lvl >= 47) then targ:addSpell(127, false, true) end
	if (job == 3 and lvl >= 48) then targ:addSpell(98, false, true) end
	if (job == 3 and lvl >= 50) then targ:addSpell(21, false, true) end
	if (job == 3 and lvl >= 51) then targ:addSpell(9, false, true) end
	if (job == 3 and lvl >= 53) then targ:addSpell(81, false, true) end
	if (job == 3 and lvl >= 53) then targ:addSpell(82, false, true) end
	if (job == 3 and lvl >= 53) then targ:addSpell(83, false, true) end
	if (job == 3 and lvl >= 55) then targ:addSpell(96, false, true) end
	if (job == 3 and lvl >= 56) then targ:addSpell(13, false, true) end
	if (job == 3 and lvl >= 56) then targ:addSpell(141, false, true) end
	if (job == 3 and lvl >= 57) then targ:addSpell(50, false, true) end
	if (job == 3 and lvl >= 57) then targ:addSpell(132, false, true) end
	if (job == 3 and lvl >= 61) then targ:addSpell(5, false, true) end
	if (job == 3 and lvl >= 61) then targ:addSpell(95, false, true) end
	if (job == 3 and lvl >= 63) then targ:addSpell(46, false, true) end
	if (job == 3 and lvl >= 63) then targ:addSpell(128, false, true) end
	if (job == 3 and lvl >= 65) then targ:addSpell(30, false, true) end
	if (job == 3 and lvl >= 65) then targ:addSpell(94, false, true) end
	if (job == 3 and lvl >= 66) then targ:addSpell(111, false, true) end
	if (job == 3 and lvl >= 68) then targ:addSpell(51, false, true) end
	if (job == 3 and lvl >= 68) then targ:addSpell(133, false, true) end
	if (job == 3 and lvl >= 70) then targ:addSpell(140, false, true) end
	if (job == 3 and lvl >= 70) then targ:addSpell(142, false, true) end
	if (job == 3 and lvl >= 71) then targ:addSpell(10, false, true) end
	if (job == 3 and lvl >= 75) then targ:addSpell(129, false, true) end
	if (job == 3 and lvl >= 75) then targ:addSpell(134, false, true) end
	if (job == 16 and lvl >= 1) then targ:addSpell(524, false, true) end
	if (job == 16 and lvl >= 1) then targ:addSpell(549, false, true) end
	if (job == 16 and lvl >= 1) then targ:addSpell(577, false, true) end
	if (job == 16 and lvl >= 4) then targ:addSpell(551, false, true) end
	if (job == 16 and lvl >= 4) then targ:addSpell(597, false, true) end
	if (job == 16 and lvl >= 4) then targ:addSpell(603, false, true) end
	if (job == 16 and lvl >= 8) then targ:addSpell(517, false, true) end
	if (job == 16 and lvl >= 8) then targ:addSpell(547, false, true) end
	if (job == 16 and lvl >= 8) then targ:addSpell(599, false, true) end
	if (job == 16 and lvl >= 12) then targ:addSpell(620, false, true) end
	if (job == 16 and lvl >= 12) then targ:addSpell(623, false, true) end
	if (job == 16 and lvl >= 12) then targ:addSpell(638, false, true) end
	if (job == 16 and lvl >= 16) then targ:addSpell(567, false, true) end
	if (job == 16 and lvl >= 16) then targ:addSpell(581, false, true) end
	if (job == 16 and lvl >= 16) then targ:addSpell(584, false, true) end
	if (job == 16 and lvl >= 18) then targ:addSpell(524, false, true) end
	if (job == 16 and lvl >= 18) then targ:addSpell(544, false, true) end
	if (job == 16 and lvl >= 18) then targ:addSpell(618, false, true) end
	if (job == 16 and lvl >= 20) then targ:addSpell(570, false, true) end
	if (job == 16 and lvl >= 20) then targ:addSpell(587, false, true) end
	if (job == 16 and lvl >= 22) then targ:addSpell(536, false, true) end
	if (job == 16 and lvl >= 24) then targ:addSpell(598, false, true) end
	if (job == 16 and lvl >= 26) then targ:addSpell(519, false, true) end
	if (job == 16 and lvl >= 28) then targ:addSpell(626, false, true) end
	if (job == 16 and lvl >= 30) then targ:addSpell(578, false, true) end
	if (job == 16 and lvl >= 30) then targ:addSpell(622, false, true) end
	if (job == 16 and lvl >= 32) then targ:addSpell(572, false, true) end
	if (job == 16 and lvl >= 32) then targ:addSpell(582, false, true) end
	if (job == 16 and lvl >= 34) then targ:addSpell(522, false, true) end
	if (job == 16 and lvl >= 34) then targ:addSpell(527, false, true) end
	if (job == 16 and lvl >= 36) then targ:addSpell(542, false, true) end
	if (job == 16 and lvl >= 36) then targ:addSpell(596, false, true) end
	if (job == 16 and lvl >= 38) then targ:addSpell(592, false, true) end
	if (job == 16 and lvl >= 38) then targ:addSpell(569, false, true) end
	if (job == 16 and lvl >= 38) then targ:addSpell(594, false, true) end
	if (job == 16 and lvl >= 40) then targ:addSpell(534, false, true) end
	if (job == 16 and lvl >= 40) then targ:addSpell(539, false, true) end
	if (job == 16 and lvl >= 42) then targ:addSpell(513, false, true) end
	if (job == 16 and lvl >= 42) then targ:addSpell(521, false, true) end
	if (job == 16 and lvl >= 44) then targ:addSpell(532, false, true) end
	if (job == 16 and lvl >= 44) then targ:addSpell(537, false, true) end
	if (job == 16 and lvl >= 44) then targ:addSpell(543, false, true) end
	if (job == 16 and lvl >= 46) then targ:addSpell(555, false, true) end
	if (job == 16 and lvl >= 46) then targ:addSpell(605, false, true) end
	if (job == 16 and lvl >= 46) then targ:addSpell(606, false, true) end
	if (job == 16 and lvl >= 48) then targ:addSpell(530, false, true) end
	if (job == 16 and lvl >= 48) then targ:addSpell(541, false, true) end
	if (job == 16 and lvl >= 48) then targ:addSpell(545, false, true) end
	if (job == 16 and lvl >= 48) then targ:addSpell(575, false, true) end
	if (job == 16 and lvl >= 50) then targ:addSpell(531, false, true) end
	if (job == 16 and lvl >= 50) then targ:addSpell(533, false, true) end
	if (job == 16 and lvl >= 50) then targ:addSpell(561, false, true) end
	if (job == 16 and lvl >= 52) then targ:addSpell(535, false, true) end
	if (job == 16 and lvl >= 52) then targ:addSpell(548, false, true) end
	if (job == 16 and lvl >= 54) then targ:addSpell(563, false, true) end
	if (job == 16 and lvl >= 54) then targ:addSpell(565, false, true) end
	if (job == 16 and lvl >= 56) then targ:addSpell(574, false, true) end
	if (job == 16 and lvl >= 58) then targ:addSpell(593, false, true) end
	if (job == 16 and lvl >= 58) then targ:addSpell(629, false, true) end
	if (job == 16 and lvl >= 58) then targ:addSpell(634, false, true) end
	if (job == 16 and lvl >= 60) then targ:addSpell(554, false, true) end
	if (job == 16 and lvl >= 60) then targ:addSpell(589, false, true) end
	if (job == 16 and lvl >= 60) then targ:addSpell(652, false, true) end
	if (job == 16 and lvl >= 61) then targ:addSpell(515, false, true) end
	if (job == 16 and lvl >= 61) then targ:addSpell(557, false, true) end
	if (job == 16 and lvl >= 61) then targ:addSpell(650, false, true) end
	if (job == 16 and lvl >= 61) then targ:addSpell(604, false, true) end
	if (job == 16 and lvl >= 62) then targ:addSpell(538, false, true) end
	if (job == 16 and lvl >= 62) then targ:addSpell(564, false, true) end
	if (job == 16 and lvl >= 62) then targ:addSpell(595, false, true) end
	if (job == 16 and lvl >= 63) then targ:addSpell(540, false, true) end
	if (job == 16 and lvl >= 63) then targ:addSpell(560, false, true) end
	if (job == 16 and lvl >= 63) then targ:addSpell(628, false, true) end
	if (job == 16 and lvl >= 63) then targ:addSpell(631, false, true) end
	if (job == 16 and lvl >= 64) then targ:addSpell(573, false, true) end
	if (job == 16 and lvl >= 64) then targ:addSpell(576, false, true) end
	if (job == 16 and lvl >= 64) then targ:addSpell(579, false, true) end
	if (job == 16 and lvl >= 65) then targ:addSpell(610, false, true) end
	if (job == 16 and lvl >= 65) then targ:addSpell(647, false, true) end
	if (job == 16 and lvl >= 66) then targ:addSpell(608, false, true) end
	if (job == 16 and lvl >= 66) then targ:addSpell(621, false, true) end
	if (job == 16 and lvl >= 66) then targ:addSpell(651, false, true) end
	if (job == 16 and lvl >= 67) then targ:addSpell(632, false, true) end
	if (job == 16 and lvl >= 67) then targ:addSpell(633, false, true) end
	if (job == 16 and lvl >= 68) then targ:addSpell(636, false, true) end
	if (job == 16 and lvl >= 68) then targ:addSpell(637, false, true) end
	if (job == 16 and lvl >= 69) then targ:addSpell(640, false, true) end
	if (job == 16 and lvl >= 69) then targ:addSpell(641, false, true) end
	if (job == 16 and lvl >= 69) then targ:addSpell(648, false, true) end
	if (job == 16 and lvl >= 70) then targ:addSpell(642, false, true) end
	if (job == 16 and lvl >= 70) then targ:addSpell(643, false, true) end
	if (job == 16 and lvl >= 70) then targ:addSpell(653, false, true) end
	if (job == 16 and lvl >= 71) then targ:addSpell(588, false, true) end
	if (job == 16 and lvl >= 71) then targ:addSpell(591, false, true) end
	if (job == 16 and lvl >= 71) then targ:addSpell(655, false, true) end
	if (job == 16 and lvl >= 72) then targ:addSpell(611, false, true) end
	if (job == 16 and lvl >= 72) then targ:addSpell(654, false, true) end
	if (job == 16 and lvl >= 72) then targ:addSpell(614, false, true) end
	if (job == 16 and lvl >= 73) then targ:addSpell(585, false, true) end
	if (job == 16 and lvl >= 73) then targ:addSpell(644, false, true) end
	if (job == 16 and lvl >= 73) then targ:addSpell(616, false, true) end
	if (job == 16 and lvl >= 74) then targ:addSpell(612, false, true) end
	if (job == 16 and lvl >= 74) then targ:addSpell(646, false, true) end
	if (job == 16 and lvl >= 74) then targ:addSpell(613, false, true) end
	if (job == 16 and lvl >= 75) then targ:addSpell(645, false, true) end
	if (job == 16 and lvl >= 75) then targ:addSpell(615, false, true) end
	if (job == 16 and lvl >= 75) then targ:addSpell(617, false, true) end
	if (job == 5 and lvl >= 1) then targ:addSpell(23, false, true) end
	if (job == 5 and lvl >= 3) then targ:addSpell(1, false, true) end
	if (job == 5 and lvl >= 4) then targ:addSpell(159, false, true) end
	if (job == 5 and lvl >= 5) then targ:addSpell(63, false, true) end
	if (job == 5 and lvl >= 5) then targ:addSpell(220, false, true) end
	if (job == 5 and lvl >= 6) then targ:addSpell(58, false, true) end
	if (job == 5 and lvl >= 7) then targ:addSpell(72, false, true) end
	if (job == 5 and lvl >= 7) then targ:addSpell(43, false, true) end
	if (job == 5 and lvl >= 8) then targ:addSpell(254, false, true) end
	if (job == 5 and lvl >= 9) then targ:addSpell(65, false, true) end
	if (job == 5 and lvl >= 9) then targ:addSpell(169, false, true) end
	if (job == 5 and lvl >= 10) then targ:addSpell(73, false, true) end
	if (job == 5 and lvl >= 10) then targ:addSpell(230, false, true) end
	if (job == 5 and lvl >= 11) then targ:addSpell(258, false, true) end
	if (job == 5 and lvl >= 12) then targ:addSpell(55, false, true) end
	if (job == 5 and lvl >= 12) then targ:addSpell(74, false, true) end
	if (job == 5 and lvl >= 13) then targ:addSpell(62, false, true) end
	if (job == 5 and lvl >= 13) then targ:addSpell(56, false, true) end
	if (job == 5 and lvl >= 14) then targ:addSpell(154, false, true) end
	if (job == 5 and lvl >= 14) then targ:addSpell(2, false, true) end
	if (job == 5 and lvl >= 15) then targ:addSpell(138, false, true) end
	if (job == 5 and lvl >= 15) then targ:addSpell(33, false, true) end
	if (job == 5 and lvl >= 16) then targ:addSpell(104, false, true) end
	if (job == 5 and lvl >= 17) then targ:addSpell(60, false, true) end
	if (job == 5 and lvl >= 17) then targ:addSpell(48, false, true) end
	if (job == 5 and lvl >= 18) then targ:addSpell(75, false, true) end
	if (job == 5 and lvl >= 18) then targ:addSpell(103, false, true) end
	if (job == 5 and lvl >= 18) then targ:addSpell(59, false, true) end
	if (job == 5 and lvl >= 19) then targ:addSpell(144, false, true) end
	if (job == 5 and lvl >= 20) then targ:addSpell(249, false, true) end
	if (job == 5 and lvl >= 20) then targ:addSpell(102, false, true) end
	if (job == 5 and lvl >= 20) then targ:addSpell(137, false, true) end
	if (job == 5 and lvl >= 21) then targ:addSpell(61, false, true) end
	if (job == 5 and lvl >= 21) then targ:addSpell(216, false, true) end
	if (job == 5 and lvl >= 21) then targ:addSpell(108, false, true) end
	if (job == 5 and lvl >= 22) then targ:addSpell(101, false, true) end
	if (job == 5 and lvl >= 23) then targ:addSpell(76, false, true) end
	if (job == 5 and lvl >= 23) then targ:addSpell(53, false, true) end
	if (job == 5 and lvl >= 24) then targ:addSpell(149, false, true) end
	if (job == 5 and lvl >= 24) then targ:addSpell(100, false, true) end
	if (job == 5 and lvl >= 25) then targ:addSpell(64, false, true) end
	if (job == 5 and lvl >= 25) then targ:addSpell(136, false, true) end
	if (job == 5 and lvl >= 25) then targ:addSpell(253, false, true) end
	if (job == 5 and lvl >= 26) then targ:addSpell(3, false, true) end
	if (job == 5 and lvl >= 27) then targ:addSpell(105, false, true) end
	if (job == 5 and lvl >= 27) then targ:addSpell(44, false, true) end
	if (job == 5 and lvl >= 29) then targ:addSpell(164, false, true) end
	if (job == 5 and lvl >= 31) then targ:addSpell(24, false, true) end
	if (job == 5 and lvl >= 32) then targ:addSpell(260, false, true) end
	if (job == 5 and lvl >= 33) then targ:addSpell(106, false, true) end
	if (job == 5 and lvl >= 34) then targ:addSpell(54, false, true) end
	if (job == 5 and lvl >= 35) then targ:addSpell(160, false, true) end
	if (job == 5 and lvl >= 35) then targ:addSpell(841, false, true) end
	if (job == 5 and lvl >= 36) then targ:addSpell(231, false, true) end
	if (job == 5 and lvl >= 37) then targ:addSpell(49, false, true) end
	if (job == 5 and lvl >= 38) then targ:addSpell(12, false, true) end
	if (job == 5 and lvl >= 39) then targ:addSpell(78, false, true) end
	if (job == 5 and lvl >= 40) then targ:addSpell(250, false, true) end
	if (job == 5 and lvl >= 40) then targ:addSpell(170, false, true) end
	if (job == 5 and lvl >= 41) then targ:addSpell(109, false, true) end
	if (job == 5 and lvl >= 42) then targ:addSpell(843, false, true) end
	if (job == 5 and lvl >= 43) then targ:addSpell(77, false, true) end
	if (job == 5 and lvl >= 45) then targ:addSpell(155, false, true) end
	if (job == 5 and lvl >= 46) then targ:addSpell(221, false, true) end
	if (job == 5 and lvl >= 46) then targ:addSpell(259, false, true) end
	if (job == 5 and lvl >= 47) then targ:addSpell(45, false, true) end
	if (job == 5 and lvl >= 48) then targ:addSpell(4, false, true) end
	if (job == 5 and lvl >= 48) then targ:addSpell(57, false, true) end
	if (job == 5 and lvl >= 48) then targ:addSpell(845, false, true) end
	if (job == 5 and lvl >= 50) then targ:addSpell(145, false, true) end
	if (job == 5 and lvl >= 50) then targ:addSpell(316, false, true) end
	if (job == 5 and lvl >= 52) then targ:addSpell(315, false, true) end
	if (job == 5 and lvl >= 54) then targ:addSpell(314, false, true) end
	if (job == 5 and lvl >= 55) then targ:addSpell(150, false, true) end
	if (job == 5 and lvl >= 56) then targ:addSpell(313, false, true) end
	if (job == 5 and lvl >= 57) then targ:addSpell(50, false, true) end
	if (job == 5 and lvl >= 58) then targ:addSpell(312, false, true) end
	if (job == 5 and lvl >= 60) then targ:addSpell(251, false, true) end
	if (job == 5 and lvl >= 60) then targ:addSpell(165, false, true) end
	if (job == 5 and lvl >= 60) then targ:addSpell(317, false, true) end
	if (job == 5 and lvl >= 63) then targ:addSpell(46, false, true) end
	--if (job == 5 and lvl >= 64) then targ:addSpell(????, false, true) end
	if (job == 5 and lvl >= 65) then targ:addSpell(161, false, true) end
	if (job == 5 and lvl >= 67) then targ:addSpell(171, false, true) end
	if (job == 5 and lvl >= 68) then targ:addSpell(51, false, true) end
	if (job == 5 and lvl >= 69) then targ:addSpell(156, false, true) end
	if (job == 5 and lvl >= 71) then targ:addSpell(146, false, true) end
	if (job == 5 and lvl >= 73) then targ:addSpell(151, false, true) end
	if (job == 5 and lvl >= 75) then targ:addSpell(166, false, true) end
	if (job == 5 and lvl >= 75) then targ:addSpell(232, false, true) end
	if (job == 5 and lvl >= 75) then targ:addSpell(276, false, true) end
	if (job == 5 and lvl >= 75) then targ:addSpell(25, false, true) end
	if (job == 5 and lvl >= 75) then targ:addSpell(80, false, true) end
	if (job == 5 and lvl >= 75) then targ:addSpell(107, false, true) end
	if (job == 5 and lvl >= 75) then targ:addSpell(79, false, true) end
	if (job == 15 and lvl >= 1) then targ:addSpell(296, false, true) end
	if (job == 15 and lvl >= 1) then targ:addSpell(297, false, true) end
	if (job == 15 and lvl >= 1) then targ:addSpell(298, false, true) end
	if (job == 15 and lvl >= 1) then targ:addSpell(299, false, true) end
	if (job == 15 and lvl >= 1) then targ:addSpell(300, false, true) end
	if (job == 15 and lvl >= 1) then targ:addSpell(301, false, true) end
	if (job == 15 and lvl >= 1) then targ:addSpell(302, false, true) end
	if (job == 15 and lvl >= 1) then targ:addSpell(303, false, true) end
	if (job == 15 and lvl >= 1) then targ:addSpell(304, false, true) end
	--if (job == 15 and lvl >= 1) then targ:addSpell(307, false, true) end
	--if (job == 15 and lvl >= 1) then targ:addSpell(????, false, true) end
	if (job == 15 and lvl >= 1) then targ:addSpell(288, false, true) end
	if (job == 15 and lvl >= 1) then targ:addSpell(289, false, true) end
	if (job == 15 and lvl >= 1) then targ:addSpell(290, false, true) end
	if (job == 15 and lvl >= 1) then targ:addSpell(291, false, true) end
	if (job == 15 and lvl >= 1) then targ:addSpell(292, false, true) end
	if (job == 15 and lvl >= 1) then targ:addSpell(293, false, true) end
	if (job == 15 and lvl >= 1) then targ:addSpell(294, false, true) end
	if (job == 15 and lvl >= 1) then targ:addSpell(295, false, true) end
	--if (job == 15 and lvl >= 75) then targ:addSpell(????, false, true) end
	--if (job == 15 and lvl >= 75) then targ:addSpell(306, false, true) end
	--if (job == 15 and lvl >= 75) then targ:addSpell(305, false, true) end
	if (job == 4 and lvl >= 1) then targ:addSpell(159, false, true) end
	if (job == 4 and lvl >= 3) then targ:addSpell(220, false, true) end
	if (job == 4 and lvl >= 4) then targ:addSpell(254, false, true) end
	if (job == 4 and lvl >= 5) then targ:addSpell(169, false, true) end
	if (job == 4 and lvl >= 7) then targ:addSpell(258, false, true) end
	if (job == 4 and lvl >= 9) then targ:addSpell(154, false, true) end
	if (job == 4 and lvl >= 10) then targ:addSpell(230, false, true) end
	if (job == 4 and lvl >= 10) then targ:addSpell(249, false, true) end
	if (job == 4 and lvl >= 12) then targ:addSpell(245, false, true) end
	if (job == 4 and lvl >= 13) then targ:addSpell(144, false, true) end
	if (job == 4 and lvl >= 15) then targ:addSpell(189, false, true) end
	if (job == 4 and lvl >= 16) then targ:addSpell(239, false, true) end
	if (job == 4 and lvl >= 17) then targ:addSpell(149, false, true) end
	if (job == 4 and lvl >= 17) then targ:addSpell(261, false, true) end
	if (job == 4 and lvl >= 18) then targ:addSpell(238, false, true) end
	if (job == 4 and lvl >= 19) then targ:addSpell(199, false, true) end
	if (job == 4 and lvl >= 20) then targ:addSpell(237, false, true) end
	if (job == 4 and lvl >= 20) then targ:addSpell(250, false, true) end
	if (job == 4 and lvl >= 20) then targ:addSpell(253, false, true) end
	if (job == 4 and lvl >= 21) then targ:addSpell(164, false, true) end
	if (job == 4 and lvl >= 22) then targ:addSpell(236, false, true) end
	if (job == 4 and lvl >= 23) then targ:addSpell(184, false, true) end
	if (job == 4 and lvl >= 24) then targ:addSpell(235, false, true) end
	if (job == 4 and lvl >= 24) then targ:addSpell(225, false, true) end
	if (job == 4 and lvl >= 25) then targ:addSpell(247, false, true) end
	if (job == 4 and lvl >= 25) then targ:addSpell(264, false, true) end
	if (job == 4 and lvl >= 26) then targ:addSpell(160, false, true) end
	if (job == 4 and lvl >= 27) then targ:addSpell(240, false, true) end
	if (job == 4 and lvl >= 28) then targ:addSpell(174, false, true) end
	if (job == 4 and lvl >= 29) then targ:addSpell(263, false, true) end
	if (job == 4 and lvl >= 30) then targ:addSpell(251, false, true) end
	if (job == 4 and lvl >= 30) then targ:addSpell(170, false, true) end
	if (job == 4 and lvl >= 31) then targ:addSpell(273, false, true) end
	if (job == 4 and lvl >= 32) then targ:addSpell(179, false, true) end
	if (job == 4 and lvl >= 34) then targ:addSpell(155, false, true) end
	if (job == 4 and lvl >= 35) then targ:addSpell(231, false, true) end
	if (job == 4 and lvl >= 36) then targ:addSpell(194, false, true) end
	if (job == 4 and lvl >= 38) then targ:addSpell(145, false, true) end
	if (job == 4 and lvl >= 40) then targ:addSpell(190, false, true) end
	if (job == 4 and lvl >= 40) then targ:addSpell(262, false, true) end
	if (job == 4 and lvl >= 41) then targ:addSpell(259, false, true) end
	if (job == 4 and lvl >= 42) then targ:addSpell(150, false, true) end
	if (job == 4 and lvl >= 43) then targ:addSpell(221, false, true) end
	if (job == 4 and lvl >= 44) then targ:addSpell(200, false, true) end
	if (job == 4 and lvl >= 45) then targ:addSpell(252, false, true) end
	if (job == 4 and lvl >= 46) then targ:addSpell(165, false, true) end
	if (job == 4 and lvl >= 48) then targ:addSpell(185, false, true) end
	if (job == 4 and lvl >= 50) then targ:addSpell(206, false, true) end
	if (job == 4 and lvl >= 51) then targ:addSpell(161, false, true) end
	if (job == 4 and lvl >= 52) then targ:addSpell(208, false, true) end
	if (job == 4 and lvl >= 53) then targ:addSpell(175, false, true) end
	if (job == 4 and lvl >= 54) then targ:addSpell(210, false, true) end
	if (job == 4 and lvl >= 55) then targ:addSpell(241, false, true) end
	if (job == 4 and lvl >= 55) then targ:addSpell(171, false, true) end
	if (job == 4 and lvl >= 56) then targ:addSpell(212, false, true) end
	if (job == 4 and lvl >= 56) then targ:addSpell(274, false, true) end
	if (job == 4 and lvl >= 57) then targ:addSpell(180, false, true) end
	if (job == 4 and lvl >= 58) then targ:addSpell(214, false, true) end
	if (job == 4 and lvl >= 59) then targ:addSpell(156, false, true) end
	if (job == 4 and lvl >= 60) then targ:addSpell(204, false, true) end
	if (job == 4 and lvl >= 61) then targ:addSpell(195, false, true) end
	if (job == 4 and lvl >= 62) then targ:addSpell(146, false, true) end
	if (job == 4 and lvl >= 63) then targ:addSpell(191, false, true) end
	if (job == 4 and lvl >= 64) then targ:addSpell(151, false, true) end
	if (job == 4 and lvl >= 65) then targ:addSpell(201, false, true) end
	if (job == 4 and lvl >= 66) then targ:addSpell(166, false, true) end
	if (job == 4 and lvl >= 67) then targ:addSpell(186, false, true) end
	if (job == 4 and lvl >= 68) then targ:addSpell(162, false, true) end
	if (job == 4 and lvl >= 69) then targ:addSpell(176, false, true) end
	if (job == 4 and lvl >= 70) then targ:addSpell(172, false, true) end
	if (job == 4 and lvl >= 71) then targ:addSpell(181, false, true) end
	if (job == 4 and lvl >= 72) then targ:addSpell(157, false, true) end
	if (job == 4 and lvl >= 73) then targ:addSpell(147, false, true) end
	if (job == 4 and lvl >= 73) then targ:addSpell(196, false, true) end
	if (job == 4 and lvl >= 74) then targ:addSpell(152, false, true) end
	if (job == 4 and lvl >= 75) then targ:addSpell(167, false, true) end
	if (job == 4 and lvl >= 75) then targ:addSpell(213, false, true) end
	if (job == 4 and lvl >= 75) then targ:addSpell(205, false, true) end
	if (job == 4 and lvl >= 75) then targ:addSpell(215, false, true) end
	if (job == 4 and lvl >= 75) then targ:addSpell(207, false, true) end
	if (job == 4 and lvl >= 75) then targ:addSpell(211, false, true) end
	if (job == 4 and lvl >= 75) then targ:addSpell(209, false, true) end
	if (job == 13 and lvl >= 9) then targ:addSpell(353, false, true) end
	if (job == 13 and lvl >= 12) then targ:addSpell(338, false, true) end
	if (job == 13 and lvl >= 15) then targ:addSpell(320, false, true) end
	if (job == 13 and lvl >= 15) then targ:addSpell(323, false, true) end
	if (job == 13 and lvl >= 15) then targ:addSpell(326, false, true) end
	if (job == 13 and lvl >= 15) then targ:addSpell(329, false, true) end
	if (job == 13 and lvl >= 15) then targ:addSpell(332, false, true) end
	if (job == 13 and lvl >= 15) then targ:addSpell(335, false, true) end
	if (job == 13 and lvl >= 19) then targ:addSpell(347, false, true) end
	if (job == 13 and lvl >= 23) then targ:addSpell(344, false, true) end
	if (job == 13 and lvl >= 25) then targ:addSpell(318, false, true) end
	if (job == 13 and lvl >= 27) then targ:addSpell(350, false, true) end
	if (job == 13 and lvl >= 30) then targ:addSpell(341, false, true) end
	if (job == 13 and lvl >= 34) then targ:addSpell(354, false, true) end
	if (job == 13 and lvl >= 37) then targ:addSpell(339, false, true) end
	if (job == 13 and lvl >= 40) then targ:addSpell(321, false, true) end
	if (job == 13 and lvl >= 40) then targ:addSpell(324, false, true) end
	if (job == 13 and lvl >= 40) then targ:addSpell(327, false, true) end
	if (job == 13 and lvl >= 40) then targ:addSpell(330, false, true) end
	if (job == 13 and lvl >= 40) then targ:addSpell(333, false, true) end
	if (job == 13 and lvl >= 40) then targ:addSpell(336, false, true) end
	if (job == 13 and lvl >= 44) then targ:addSpell(348, false, true) end
	if (job == 13 and lvl >= 48) then targ:addSpell(345, false, true) end
	if (job == 13 and lvl >= 75) then targ:addSpell(322, false, true) end
	if (job == 13 and lvl >= 75) then targ:addSpell(325, false, true) end
	if (job == 13 and lvl >= 75) then targ:addSpell(328, false, true) end
	if (job == 13 and lvl >= 75) then targ:addSpell(331, false, true) end
	if (job == 13 and lvl >= 75) then targ:addSpell(334, false, true) end
	if (job == 13 and lvl >= 75) then targ:addSpell(337, false, true) end
	if (job == 20 and lvl >= 4) then targ:addSpell(159, false, true) end
	if (job == 20 and lvl >= 5) then targ:addSpell(1, false, true) end
	if (job == 20 and lvl >= 5) then targ:addSpell(478, false, true) end
	if (job == 20 and lvl >= 5) then targ:addSpell(502, false, true) end
	if (job == 20 and lvl >= 8) then targ:addSpell(169, false, true) end
	if (job == 20 and lvl >= 10) then targ:addSpell(14, false, true) end
	if (job == 20 and lvl >= 10) then targ:addSpell(43, false, true) end
	if (job == 20 and lvl >= 12) then targ:addSpell(15, false, true) end
	if (job == 20 and lvl >= 12) then targ:addSpell(154, false, true) end
	if (job == 20 and lvl >= 13) then targ:addSpell(55, false, true) end
	if (job == 20 and lvl >= 15) then targ:addSpell(138, false, true) end
	if (job == 20 and lvl >= 16) then targ:addSpell(144, false, true) end
	if (job == 20 and lvl >= 17) then targ:addSpell(16, false, true) end
	if (job == 20 and lvl >= 17) then targ:addSpell(2, false, true) end
	if (job == 20 and lvl >= 18) then targ:addSpell(108, false, true) end
	if (job == 20 and lvl >= 18) then targ:addSpell(278, false, true) end
	if (job == 20 and lvl >= 20) then targ:addSpell(149, false, true) end
	if (job == 20 and lvl >= 20) then targ:addSpell(48, false, true) end
	if (job == 20 and lvl >= 20) then targ:addSpell(137, false, true) end
	if (job == 20 and lvl >= 20) then targ:addSpell(279, false, true) end
	if (job == 20 and lvl >= 21) then targ:addSpell(245, false, true) end
	if (job == 20 and lvl >= 22) then targ:addSpell(17, false, true) end
	if (job == 20 and lvl >= 22) then targ:addSpell(281, false, true) end
	if (job == 20 and lvl >= 24) then targ:addSpell(164, false, true) end
	if (job == 20 and lvl >= 24) then targ:addSpell(281, false, true) end
	if (job == 20 and lvl >= 25) then targ:addSpell(136, false, true) end
	if (job == 20 and lvl >= 26) then targ:addSpell(282, false, true) end
	if (job == 20 and lvl >= 28) then targ:addSpell(283, false, true) end
	if (job == 20 and lvl >= 29) then targ:addSpell(53, false, true) end
	if (job == 20 and lvl >= 30) then targ:addSpell(3, false, true) end
	if (job == 20 and lvl >= 30) then targ:addSpell(44, false, true) end
	if (job == 20 and lvl >= 30) then targ:addSpell(253, false, true) end
	if (job == 20 and lvl >= 30) then targ:addSpell(160, false, true) end
	if (job == 20 and lvl >= 30) then targ:addSpell(249, false, true) end
	if (job == 20 and lvl >= 30) then targ:addSpell(284, false, true) end
	if (job == 20 and lvl >= 32) then targ:addSpell(20, false, true) end
	if (job == 20 and lvl >= 32) then targ:addSpell(260, false, true) end
	if (job == 20 and lvl >= 32) then targ:addSpell(285, false, true) end
	if (job == 20 and lvl >= 34) then targ:addSpell(170, false, true) end
	if (job == 20 and lvl >= 35) then targ:addSpell(12, false, true) end
	if (job == 20 and lvl >= 35) then targ:addSpell(135, false, true) end
	if (job == 20 and lvl >= 36) then targ:addSpell(247, false, true) end
	if (job == 20 and lvl >= 37) then targ:addSpell(110, false, true) end
	if (job == 20 and lvl >= 38) then targ:addSpell(155, false, true) end
	if (job == 20 and lvl >= 39) then targ:addSpell(143, false, true) end
	if (job == 20 and lvl >= 40) then targ:addSpell(49, false, true) end
	if (job == 20 and lvl >= 41) then targ:addSpell(99, false, true) end
	if (job == 20 and lvl >= 42) then targ:addSpell(145, false, true) end
	if (job == 20 and lvl >= 42) then targ:addSpell(113, false, true) end
	if (job == 20 and lvl >= 43) then targ:addSpell(114, false, true) end
	if (job == 20 and lvl >= 44) then targ:addSpell(54, false, true) end
	if (job == 20 and lvl >= 44) then targ:addSpell(115, false, true) end
	if (job == 20 and lvl >= 45) then targ:addSpell(116, false, true) end
	if (job == 20 and lvl >= 46) then targ:addSpell(287, false, true) end
	if (job == 20 and lvl >= 46) then targ:addSpell(150, false, true) end
	if (job == 20 and lvl >= 46) then targ:addSpell(19, false, true) end
	if (job == 20 and lvl >= 46) then targ:addSpell(117, false, true) end
	if (job == 20 and lvl >= 47) then targ:addSpell(118, false, true) end
	if (job == 20 and lvl >= 48) then targ:addSpell(119, false, true) end
	if (job == 20 and lvl >= 50) then targ:addSpell(45, false, true) end
	if (job == 20 and lvl >= 50) then targ:addSpell(18, false, true) end
	if (job == 20 and lvl >= 50) then targ:addSpell(250, false, true) end
	if (job == 20 and lvl >= 51) then targ:addSpell(165, false, true) end
	if (job == 20 and lvl >= 54) then targ:addSpell(161, false, true) end
	if (job == 20 and lvl >= 55) then targ:addSpell(4, false, true) end
	if (job == 20 and lvl >= 57) then targ:addSpell(201, false, true) end
	if (job == 20 and lvl >= 59) then targ:addSpell(111, false, true) end
	if (job == 20 and lvl >= 60) then targ:addSpell(156, false, true) end
	if (job == 20 and lvl >= 60) then targ:addSpell(50, false, true) end
	if (job == 20 and lvl >= 63) then targ:addSpell(146, false, true) end
	if (job == 20 and lvl >= 65) then targ:addSpell(259, false, true) end
	if (job == 20 and lvl >= 66) then targ:addSpell(151, false, true) end
	if (job == 20 and lvl >= 66) then targ:addSpell(46, false, true) end
	if (job == 20 and lvl >= 69) then targ:addSpell(166, false, true) end
	if (job == 20 and lvl >= 70) then targ:addSpell(251, false, true) end
	if (job == 20 and lvl >= 70) then targ:addSpell(13, false, true) end
	if (job == 20 and lvl >= 70) then targ:addSpell(141, false, true) end
	if (job == 20 and lvl >= 70) then targ:addSpell(162, false, true) end
	if (job == 20 and lvl >= 71) then targ:addSpell(172, false, true) end
	if (job == 20 and lvl >= 71) then targ:addSpell(51, false, true) end
	if (job == 20 and lvl >= 72) then targ:addSpell(157, false, true) end
	if (job == 20 and lvl >= 73) then targ:addSpell(147, false, true) end
	if (job == 20 and lvl >= 74) then targ:addSpell(152, false, true) end
	if (job == 20 and lvl >= 75) then targ:addSpell(167, false, true) end
	if (job == 7 and lvl >= 5) then targ:addSpell(1, false, true) end
	if (job == 7 and lvl >= 7) then targ:addSpell(28, false, true) end
	if (job == 7 and lvl >= 10) then targ:addSpell(43, false, true) end
	if (job == 7 and lvl >= 17) then targ:addSpell(2, false, true) end
	if (job == 7 and lvl >= 20) then targ:addSpell(48, false, true) end
	if (job == 7 and lvl >= 30) then targ:addSpell(3, false, true) end
	if (job == 7 and lvl >= 30) then targ:addSpell(44, false, true) end
	if (job == 7 and lvl >= 30) then targ:addSpell(38, false, true) end
	if (job == 7 and lvl >= 34) then targ:addSpell(29, false, true) end
	if (job == 7 and lvl >= 37) then targ:addSpell(112, false, true) end
	if (job == 7 and lvl >= 40) then targ:addSpell(49, false, true) end
	if (job == 7 and lvl >= 50) then targ:addSpell(45, false, true) end
	if (job == 7 and lvl >= 50) then targ:addSpell(12, false, true) end
	if (job == 7 and lvl >= 55) then targ:addSpell(4, false, true) end
	if (job == 7 and lvl >= 55) then targ:addSpell(21, false, true) end
	if (job == 7 and lvl >= 60) then targ:addSpell(50, false, true) end
	if (job == 7 and lvl >= 61) then targ:addSpell(97, false, true) end
	if (job == 7 and lvl >= 70) then targ:addSpell(46, false, true) end
	if (job == 8 and lvl >= 5) then targ:addSpell(159, false, true) end
	if (job == 8 and lvl >= 6) then targ:addSpell(220, false, true) end
	if (job == 8 and lvl >= 10) then targ:addSpell(245, false, true) end
	if (job == 8 and lvl >= 11) then targ:addSpell(169, false, true) end
	if (job == 8 and lvl >= 15) then targ:addSpell(230, false, true) end
	if (job == 8 and lvl >= 17) then targ:addSpell(154, false, true) end
	if (job == 8 and lvl >= 20) then targ:addSpell(247, false, true) end
	if (job == 8 and lvl >= 20) then targ:addSpell(258, false, true) end
	if (job == 8 and lvl >= 23) then targ:addSpell(144, false, true) end
	if (job == 8 and lvl >= 26) then targ:addSpell(225, false, true) end
	if (job == 8 and lvl >= 29) then targ:addSpell(149, false, true) end
	if (job == 8 and lvl >= 30) then targ:addSpell(253, false, true) end
	if (job == 8 and lvl >= 31) then targ:addSpell(271, false, true) end
	if (job == 8 and lvl >= 32) then targ:addSpell(264, false, true) end
	if (job == 8 and lvl >= 33) then targ:addSpell(272, false, true) end
	if (job == 8 and lvl >= 35) then targ:addSpell(164, false, true) end
	if (job == 8 and lvl >= 35) then targ:addSpell(268, false, true) end
	if (job == 8 and lvl >= 37) then targ:addSpell(252, false, true) end
	if (job == 8 and lvl >= 37) then targ:addSpell(269, false, true) end
	if (job == 8 and lvl >= 39) then targ:addSpell(270, false, true) end
	if (job == 8 and lvl >= 40) then targ:addSpell(231, false, true) end
	if (job == 8 and lvl >= 41) then targ:addSpell(267, false, true) end
	if (job == 8 and lvl >= 42) then targ:addSpell(160, false, true) end
	if (job == 8 and lvl >= 43) then targ:addSpell(166, false, true) end
	if (job == 8 and lvl >= 45) then targ:addSpell(275, false, true) end
	if (job == 8 and lvl >= 46) then targ:addSpell(221, false, true) end
	if (job == 8 and lvl >= 48) then targ:addSpell(170, false, true) end
	if (job == 8 and lvl >= 54) then targ:addSpell(155, false, true) end
	if (job == 8 and lvl >= 56) then targ:addSpell(259, false, true) end
	if (job == 8 and lvl >= 60) then targ:addSpell(145, false, true) end
	if (job == 8 and lvl >= 61) then targ:addSpell(242, false, true) end
	if (job == 8 and lvl >= 62) then targ:addSpell(246, false, true) end
	if (job == 8 and lvl >= 66) then targ:addSpell(150, false, true) end
	if (job == 8 and lvl >= 71) then targ:addSpell(277, false, true) end
	if (job == 8 and lvl >= 72) then targ:addSpell(165, false, true) end
	if (job == 10 and lvl >= 1) then targ:addSpell(389, false, true) end
	if (job == 10 and lvl >= 3) then targ:addSpell(394, false, true) end
	if (job == 10 and lvl >= 5) then targ:addSpell(378, false, true) end
	if (job == 10 and lvl >= 7) then targ:addSpell(368, false, true) end
	if (job == 10 and lvl >= 9) then targ:addSpell(406, false, true) end
	if (job == 10 and lvl >= 10) then targ:addSpell(460, false, true) end
	if (job == 10 and lvl >= 11) then targ:addSpell(399, false, true) end
	if (job == 10 and lvl >= 12) then targ:addSpell(461, false, true) end
	if (job == 10 and lvl >= 13) then targ:addSpell(403, false, true) end
	if (job == 10 and lvl >= 14) then targ:addSpell(457, false, true) end
	if (job == 10 and lvl >= 15) then targ:addSpell(379, false, true) end
	if (job == 10 and lvl >= 16) then targ:addSpell(463, false, true) end
	if (job == 10 and lvl >= 16) then targ:addSpell(459, false, true) end
	if (job == 10 and lvl >= 17) then targ:addSpell(369, false, true) end
	if (job == 10 and lvl >= 18) then targ:addSpell(456, false, true) end
	if (job == 10 and lvl >= 19) then targ:addSpell(409, false, true) end
	if (job == 10 and lvl >= 20) then targ:addSpell(454, false, true) end
	if (job == 10 and lvl >= 21) then targ:addSpell(390, false, true) end
	if (job == 10 and lvl >= 22) then targ:addSpell(430, false, true) end
	if (job == 10 and lvl >= 22) then targ:addSpell(455, false, true) end
	if (job == 10 and lvl >= 23) then targ:addSpell(395, false, true) end
	if (job == 10 and lvl >= 24) then targ:addSpell(458, false, true) end
	if (job == 10 and lvl >= 24) then targ:addSpell(429, false, true) end
	if (job == 10 and lvl >= 25) then targ:addSpell(386, false, true) end
	if (job == 10 and lvl >= 26) then targ:addSpell(428, false, true) end
	if (job == 10 and lvl >= 27) then targ:addSpell(376, false, true) end
	if (job == 10 and lvl >= 28) then targ:addSpell(427, false, true) end
	if (job == 10 and lvl >= 29) then targ:addSpell(419, false, true) end
	if (job == 10 and lvl >= 30) then targ:addSpell(426, false, true) end
	if (job == 10 and lvl >= 31) then targ:addSpell(401, false, true) end
	if (job == 10 and lvl >= 32) then targ:addSpell(425, false, true) end
	if (job == 10 and lvl >= 33) then targ:addSpell(405, false, true) end
	if (job == 10 and lvl >= 33) then targ:addSpell(462, false, true) end
	if (job == 10 and lvl >= 34) then targ:addSpell(424, false, true) end
	if (job == 10 and lvl >= 35) then targ:addSpell(380, false, true) end
	if (job == 10 and lvl >= 36) then targ:addSpell(444, false, true) end
	if (job == 10 and lvl >= 37) then targ:addSpell(370, false, true) end
	if (job == 10 and lvl >= 37) then targ:addSpell(467, false, true) end
	if (job == 10 and lvl >= 38) then targ:addSpell(441, false, true) end
	if (job == 10 and lvl >= 39) then targ:addSpell(421, false, true) end
	if (job == 10 and lvl >= 40) then targ:addSpell(443, false, true) end
	if (job == 10 and lvl >= 41) then targ:addSpell(391, false, true) end
	if (job == 10 and lvl >= 42) then targ:addSpell(440, false, true) end
	if (job == 10 and lvl >= 43) then targ:addSpell(396, false, true) end
	if (job == 10 and lvl >= 44) then targ:addSpell(438, false, true) end
	if (job == 10 and lvl >= 45) then targ:addSpell(381, false, true) end
	if (job == 10 and lvl >= 46) then targ:addSpell(439, false, true) end
	if (job == 10 and lvl >= 47) then targ:addSpell(371, false, true) end
	if (job == 10 and lvl >= 48) then targ:addSpell(442, false, true) end
	if (job == 10 and lvl >= 49) then targ:addSpell(415, false, true) end
	if (job == 10 and lvl >= 50) then targ:addSpell(445, false, true) end
	if (job == 10 and lvl >= 51) then targ:addSpell(400, false, true) end
	if (job == 10 and lvl >= 53) then targ:addSpell(404, false, true) end
	if (job == 10 and lvl >= 54) then targ:addSpell(412, false, true) end
	if (job == 10 and lvl >= 55) then targ:addSpell(387, false, true) end
	if (job == 10 and lvl >= 56) then targ:addSpell(408, false, true) end
	if (job == 10 and lvl >= 57) then targ:addSpell(372, false, true) end
	if (job == 10 and lvl >= 59) then targ:addSpell(422, false, true) end
	if (job == 10 and lvl >= 60) then targ:addSpell(420, false, true) end
	if (job == 10 and lvl >= 61) then targ:addSpell(392, false, true) end
	if (job == 10 and lvl >= 62) then targ:addSpell(437, false, true) end
	if (job == 10 and lvl >= 63) then targ:addSpell(397, false, true) end
	if (job == 10 and lvl >= 64) then targ:addSpell(436, false, true) end
	if (job == 10 and lvl >= 65) then targ:addSpell(382, false, true) end
	if (job == 10 and lvl >= 66) then targ:addSpell(435, false, true) end
	if (job == 10 and lvl >= 67) then targ:addSpell(373, false, true) end
	if (job == 10 and lvl >= 68) then targ:addSpell(434, false, true) end
	if (job == 10 and lvl >= 69) then targ:addSpell(410, false, true) end
	if (job == 10 and lvl >= 70) then targ:addSpell(133, false, true) end
	if (job == 10 and lvl >= 71) then targ:addSpell(402, false, true) end
	if (job == 10 and lvl >= 71) then targ:addSpell(464, false, true) end
	if (job == 10 and lvl >= 72) then targ:addSpell(432, false, true) end
	if (job == 10 and lvl >= 73) then targ:addSpell(465, false, true) end
	if (job == 10 and lvl >= 73) then targ:addSpell(414, false, true) end
	if (job == 10 and lvl >= 74) then targ:addSpell(431, false, true) end
	if (job == 10 and lvl >= 75) then targ:addSpell(469, false, true) end
	if (job == 10 and lvl >= 75) then targ:addSpell(468, false, true) end
	if (job == 10 and lvl >= 75) then targ:addSpell(466, false, true) end

    player:PrintToPlayer(string.format("You have given %s the required spells.", targ:getName()))
end